% Metastability: signal-dependent delay
% Quantizer delay versus quantizer input
% Source J.A. Cherry, Electronics Letters 1997
%d0=1e-12;
close all;
clear;
d0=0;
d1=0.1e-12;
vin=linspace(0,0.5,1000);
x1=0.5;
l=0;
for d1=0.1e-12:0.1e-12:1e-12,
    l=l+1;
    delay(l,:)=d0+d1./(vin).^x1;
end;
loglog(vin,delay,'k-');
hold;
x1=1;
l=0;
for d1=0.1e-12:0.1e-12:1e-12,
    l=l+1;
    delay(l,:)=d0+d1./(vin).^x1;
end;
loglog(vin,delay,'b:');
x1=1.5;
l=0;
for d1=0.1e-12:0.1e-12:1e-12,
    l=l+1;
    delay(l,:)=d0+d1./(vin).^x1;
end;
loglog(vin,delay,'k-.');
x1=2;
l=0;
for d1=0.1e-12:0.1e-12:1e-12,
    l=l+1;
    delay(l,:)=d0+d1./(vin).^x1;
end;
loglog(vin,delay,'b--');
ylabel('Delay(s)');xlabel('v_q(V)')