... static void mdlInitializeSampleTimes(SimStruct *S) /* VARIABLE SAMPLING TIME */ 
{
   ssSetSampleTime(S, 0, VARIABLE_SAMPLE_TIME);
   ssSetOffsetTime (S, 0, 0.0);
}
#define MDL_GET_TIME_OF_NEXT_VAR_HIT /* DELAY MODEL */ 
static void mdlGetTimeOfNextVarHit(SimStruct *S)
{
... tdelay = *mxGetPr(tdelay(S));Ts = *mxGetPr(ts(S));phi= *mxGetPr(phi(S));code = *mxGetPr(code(S));

    if (tdelay==1) /*FIXED DELAY*/
    {
        delay = *mxGetPr(delay(S));              
    }
    else    /*VARIABLE DELAY*/
    {
        p = mxGetPr(delay(S)); d0=p[0]; d1=p[1]; x1=p[2];dmax=p[3]; delay=d0+fabs(d1/(x1*(*uPtrs3[0])));
        if (delay>dmax){
            delay=dmax;}
    }
    if (phi==2){
        delay=delay+Ts/2;}
	    nsamp=work[0];action=work[1]; flag=work[4]; /* JITTER MODEL */ 
    if ( (delay+(*uPtrs1[0]))<=0 || (delay+(*uPtrs2[0]))<=0 ){
        ssSetErrorStatus(S, "Error message");}
    else{
        if (action==0)
        {
            if ( (delay+(*uPtrs1[0]))>=Ts || (delay+(*uPtrs2[0]))>= Ts ){
                ssSetErrorStatus(S, "Error message");}
                action=1;
            if(code == 1)   /*NRZ waveform*/
            {          
                ssSetTNext(S, nsamp*Ts + delay + (*uPtrs1[0]));
            }
            else{
                if ( (delay+(*uPtrs1[0]))>=Ts/2 || (delay+(*uPtrs2[0]))>= Ts/2 ){
                    ssSetErrorStatus(S, "Error message");}
                if (flag==0)
                    {
                    ssSetTNext(S, nsamp*Ts/2 + delay +(*uPtrs1[0]));
                    }
                else {ssSetTNext(S, nsamp*Ts/2 + delay +(*uPtrs2[0]));}
			}
        }
        else      
        {
            action=0;
            nsamp=nsamp+1;
            if(code == 1)   /*NRZ waveform*/
            {          
                ssSetTNext(S, nsamp*Ts);
            }
            else{
                ssSetTNext(S, nsamp*Ts/2);
                if (flag==0)
                    {
                    flag=1;
                    }
                else {flag=0;}
            }
        }
    }
    work[0]=nsamp; work[1]=action; work[2]=delay; work[4]=flag;
}
...static void mdlOutputs(SimStruct *S, int_T tid)
{
... /********************** Ideal DAC operation *********/
    vin = fabs(U) - Xlsb;
    if(fabs(U) < Xlsb){
        if(U>=0)
                xa = (delta/2);
        else if (U < 0)
                xa = -(delta/2);
    }
    if(U >= ((in_range/2)-(Xlsb/2)) || U <= -(in_range/2)+ (Xlsb/2)){
        if(U>0)
        xa = fsr/2;
    else xa = -fsr/2;
    }
    if(fabs(U) < ((in_range/2)-(Xlsb/2)) && fabs(U)>Xlsb){
        if(U>0){
         	n = floor(vin/Xlsb); xa = (delta/2) + (n+1)*delta;
         }else{n = floor(vin/Xlsb); xa = -(delta/2) - (n+1)*delta;}
    }
... /************** DAC waveform selection **********************/
    if (code==1)     /*NRZ*/
    {
        y[0]=out;
    }
    else if (code==2) /*RZ*/
    { 
        if (flag==1)
        {
            y[0]=out;
        }
        else{y[0]=0;}
     }
     else
     {               /*HRZ*/
        if (flag==1)
        {
            y[0]=0;
        }
        else {y[0]=out;}
     }
   }
}...