%% GENERATION OF A GAUSSIAN NOISE SEQUENCE WITH GIVEN IBN POWER
clear; close all;
%% Case 1
% power_IBN_dB=-84.2;
% BW=1e5;
% fs=40e6;
% num_cycles=65786;
%% Case 2
% power_IBN_dB=-77.1;
% BW=5e5;
% fs=80e6;
% num_cycles=33269;
%% Case 3 
% power_IBN_dB=-73.9;
% BW=1e6;
% fs=120e6;
% num_cycles=16885;
%% Case 4
power_IBN_dB=-65.2;
BW=10e6;
fs=320e6;
num_cycles=16640;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
power_IBN=10^(power_IBN_dB/10);
std_deviation=sqrt(fs/2*1/BW*power_IBN);

mean=0;
noise=mean+std_deviation*randn(num_cycles,1);
t=0:1/fs:(num_cycles-1)/fs;

data=[t' noise];
save noisedata.dat data -ascii
