clear;close all;
%% Thermal noise IBN
k=1.38*10^(-23);
Cs=2e-12;
T=300;
OSR=128;
j=0;
%% Quantization IBN
L=2 % Third-order SDM
B=1 % 1-bit quantizer
%% SNR vs. OSR 
j=0;
for n=2:1:10;
    j=j+1;
    OSR(j)=2^n;
    IBNn(j)=4*k*T/(Cs*OSR(j));
    IBNq(j)=pi^(2*L)/(12*(2*L+1)*OSR(j)^(2*L+1));
    SNR(j)=10*log10(1/(4*(IBNq(j)+IBNn(j))));
    SNRbit(j)=(SNR(j)-1.76)/6.024;
end;
plot(log2(OSR),SNRbit,'ko--');
xlabel('log_2(OSR)');
ylabel('ENOB(bit)');
grid;
hold;
L=3;
j=0;
for n=2:1:10;
    j=j+1;
    OSR(j)=2^n;
    IBNn(j)=4*k*T/(Cs*OSR(j));
    IBNq(j)=pi^(2*L)/(12*(2*L+1)*OSR(j)^(2*L+1));
    SNR(j)=10*log10(1/(4*(IBNq(j)+IBNn(j))));
    SNRbit(j)=(SNR(j)-1.76)/6.024;
end;
plot(log2(OSR),SNRbit,'k+--');
L=4;
j=0;
for n=2:1:10;
    j=j+1;
    OSR(j)=2^n;
    IBNn(j)=4*k*T/(Cs*OSR(j));
    IBNq(j)=pi^(2*L)/(12*(2*L+1)*OSR(j)^(2*L+1));
    SNR(j)=10*log10(1/(4*(IBNq(j)+IBNn(j))));
    SNRbit(j)=(SNR(j)-1.76)/6.024;
    SNRn(j)=10*log10(1/(4*(IBNn(j))));
    SNRnbit(j)=(SNRn(j)-1.76)/6.024;
end;
plot(log2(OSR),SNRbit,'k*--');
plot(log2(OSR),SNRnbit,'k-');
    
